package com.realnet.ttt.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.ttt.Entity.Test33;
import com.realnet.ttt.Services.Test33Service ;






@RequestMapping(value = "/Test33")
 @CrossOrigin("*") 
@RestController
public class Test33Controller {
	@Autowired
	private Test33Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Test33")
		  public Test33 Savedata(@RequestBody Test33 data) {
		Test33 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test33/{id}")
	public  Test33 update(@RequestBody Test33 data,@PathVariable Integer id ) {
		Test33 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test33/getall/page")
	public Page<Test33> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test33> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test33")
	public List<Test33> getdetails() {
		 List<Test33> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test33")
	public List<Test33> getallwioutsec() {
		 List<Test33> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test33/{id}")
	public  Test33  getdetailsbyId(@PathVariable Integer id ) {
		Test33  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test33/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}